Bug 1496156 - Remove dependency on net-tools
Summary: Remove dependency on net-tools
Keywords:
Status: CLOSED NEXTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: systemtap
Version: 28
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Jafeer Uddin
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: deprecation, net-tools
TreeView+ depends on / blocked
 
Reported: 2017-09-26 14:52 UTC by James Hogarth
Modified: 2018-05-30 13:09 UTC (History)
9 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-05-30 13:09:45 UTC
Type: Bug


Attachments (Terms of Use)

Description James Hogarth 2017-09-26 14:52:31 UTC
On linux the net-tools suite of utilities has been long since deprecated.

The relevant code that gets executed on Fedora and EPEL should be identified and patched out, with a suitable pull request upstream, to remove the dependency on any tool in the net-tools package and instead use suitable tools form iproute2.

Comment 1 Frank Ch. Eigler 2017-09-26 15:21:29 UTC
We use 'netstat -tn' to enumerate current connections, so as to help identify some likely-unused tcp port numbers.  What's the new world order method to do that?

Comment 2 Fedora End Of Life 2018-02-20 15:30:21 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 28 development cycle.
Changing version to '28'.

Comment 3 Mark Wielaard 2018-04-20 13:52:08 UTC
iproute2 contains ss, which seems to act almost exactly like netstat.
So the usage of netstat -atn | awk '{print $4}' can probably simply be replaced by ss -atn | awk '{print $4}'

Comment 4 Jafeer Uddin 2018-05-30 13:09:45 UTC
commit 436ddc6f40596fd81ae9fc8c4ed6139b656b895b removes dependency on net-tools


Note You need to log in before you can comment on or make changes to this bug.